Path: senator-bedfellow.mit.edu!bloom-beacon.mit.edu!news-out.cwix.com!newsfeed.cwix.com!syros.belnet.be!news.belnet.be!fr.usenet-edu.net!usenet-edu.net!teaser.fr!proxad.net!feeder2-1.proxad.net!news1-1.free.fr!not-for-mail
From: Paul Guyot <spam@kallisys.com>
Organization: Kallisys
User-Agent: PostFAQ Script 2.0
Mail-Copies-To: never
Newsgroups: comp.sys.newton.misc,comp.answers,news.answers
Followup-To: comp.sys.newton.misc
Subject: Newton Glossary: Version 1.0.3
Summary: The almost definitive guide to Newton-related terms and
 definitions.
Message-ID: <palmtops/newton/glossary-20021001@enki.continuity.cx>
Supersedes: <palmtops/newton/glossary-20020901@enki.continuity.cx>
X-Disclaimer: Approval for *.answers is based on form, not content.
Approved: news-answers-request@MIT.EDU
Date: 01 Oct 2002 04:00:35 GMT
Lines: 2329
NNTP-Posting-Date: 01 Oct 2002 06:00:35 MEST
NNTP-Posting-Host: 209.212.89.162
X-Trace: 1033444835 news1-1.free.fr 28751 209.212.89.162
X-Complaints-To: abuse@proxad.net
Xref: senator-bedfellow.mit.edu comp.sys.newton.misc:164898 comp.answers:51491 news.answers:238733

Archive-name: palmtops/newton/glossary
Posting-Frequency: monthly
Last-modified: 2001/12/18
URL: http://www.splorp.com/newton/glossary/, http://guelph.unna.org/glossary/
Version: 1.0.3
Maintainer: Grant Hutchinson <glossary@splorp.com>

The Newton Glossary

The almost definitive guide to Newton-related terms and definitions.

Version 1.0.3

The Newton Glossary has been compiled by Grant Hutchinson, Paul Guyot, and
Victor Rehorst. Nothing is absolutely perfect or completely finished, so if
you have a suggestion or a correction for the glossary, please send a
message to: <glossary@splorp.com>

You can also search for specific terms using the searchable version of the
glossary: <http://guelph.unna.org/glossary/>

================================================

802.11 - A family of standards developed by the IEEE for wireless
networking. See also WaveLan and AirPort.

Action Button - The small envelope button used in applications to invoke
routing functions. When tapped, it displays a picker listing routing
actions available for the current item.

Action Names - A contact management application created by Iambic Software
which enhances the capabilities of the built-in Names and Dates
applications. Also referred to as AN.

Action Picker - A listing of various routing actions available for the
current item. Activated by tapping on the Action Button. The Action button
has the icon of an envelope on it and is sometimes referred to as the
Envelope Button or Envelope Menu. See also Routing and Routing Slip.

Address - A binary value specifying where in the memory a chunk of data or
code exists.

ADF - Application Definition Format. A text file format defined by Revelar
Inc. that contains a description on how to display, edit, import, and
export the data from an application soup so that the Revelar Connection
Utility can handle it.

ADSP - Apple Datastream Protocol. A protocol original designed to
facilitate communications between Mac OS computers and Dec Vax
minicomputers.

AirMac - A brand name used by Apple in Japan for their version of the
802.11 wireless communication card, the AirPort. See also AirPort, WaveLan,
and 802.11.

AirPort - A brand name used by Apple on their version of the 802.11
wireless communication card. See also AirMac, WaveLan, and 802.11.

Alert Box - A view that appears on the screen to warn the user or report an
error.

Alert Sound - An audible warning from the Newton's speaker that warns the
user of an unusual or potentially undesirable situation. An alert sound may
or may not be accompanied by a notification slip.

Alias - An object that consists of a reference to another object. An alias
saves space, since the alias object is small, and can be used to reference
very large objects. Resolving an alias refers to retrieving the object that
the alias references. See also Entry Alias.

AN - After Newton. The period of time that has elapsed since the
cancellation of the Newton. Generally agreed to be any point after February
27th, 1998. AN is also an abbreviation for the Action Names software
package. See also BN and DN.

ANUG - Arizona Newton Users Group. See also Newton User Group.

API - See Application Programming Interface.

AppleTalk - A protocol developed by Apple for communications between Mac OS
computers.

Application - Software that performs a specific task, such as the Notepad,
Dates, and Names.

Application Base View - The topmost parent view in an application. The
application base view typically encloses all other views that make up the
application. See also Main View.

Application Card - A PC card that contains an application geared towards a
specific use. Application cards are usually ROM-based, and therefore the
user cannot modify or delete the data contained on them.

Application Programming Interface - A language and message format used by
an application to communicate with the operating system or some other
program. Also referred to as an API.

Application Signature - A 4 to 10 character designation that uniquely
identifies the creator or developer of a Newton application. This signature
is embedded in an application when it is compiled into a package.

Arc - A portion of the circumference of an oval bounded by a pair of radii
joining at the oval's center. Contrast a wedge, which includes part of the
oval's interior. Arcs and wedges are defined by the bounding rectangle that
encloses the oval, along with a pair of angles marking the positions of the
bounding radii.

Ardis - A defunct wireless data carrier based in the United States. The
Ardis network provided two-way data transmission based on radio packet
technology. Ardis compatible wireless modems were used in the Motorola
Marco Newton clone. See also Marco.

Area 51 - An easter egg found in the Newton OS which when activated
displays the icon for a meeting as a person facing an alien, the icon for
an event as a flying saucer, to-do tasks are represented by a robot, and so
on.

ARM - Advanced RISC Machines, the company that produced the processors used
in Newton OS devices. See also StrongARM.

Array - A sequence of numerically indexed slots that contain objects. The
first element is indexed by zero. Like other nonimmediate objects, an array
can have a user-specified class, and can have its length changed
dynamically. Also referred to as Array Elements.

Array Elements - See Array.

ASIC - Application Specific Integrated Circuit. A VLSI computer chip,
custom-designed to perform one or more particular functions. Advantages
include fewer discrete components, lower power consumption, and increased
reliability.

ASK - Amplitude Shift Keying. An infrared communications protocol developed
by Sharp used in Newton devices. See also IrDA.

Assist - A function built into Newton device that can automatically perform
certain tasks for you. See also Assist Drawer.

Assist Drawer - The container view or that appears when the Assist function
is called. See also Assist.

AT - See AppleTalk.

ATA - Advanced Technology Attachment. An interface standard generally used
for data storage devices.

Auto Dock - The automatic transfer of data between a Newton device to
another computer once a connection has been made. Auto docking is activated
by grounding one of the Newton Interconnect pins.

Auto-Repeat - The repeated automatic generation of characters that happens
when a user holds down a key or presses the pen on an on-screen keyboard.

Away City - The emporium that's displayed as a counterpoint to your home
city. It defines such information as dialing area, time zone, and so on.
Sometimes it is called the "I'm here" city. See also Emporium.

Backdrop - The one application that cannot be closed. The Notepad is the
default backdrop on Newton MessagePad device and Newton Works is the
default on the eMate, but a user can use the Extras Drawer to make a
different application the backdrop.

Backlight - The Electro-Luminescent Panel which illuminates the display of
a Newton device.

Bacon Lettuce Tomato & Garlic - See BLTG.

Batman - Code name for one of the original designs of the MessagePad
incorporating a car hood-shaped lid. See also H1000, OMP, Junior, and
Wedge.

Battery Cage - A removable component of a MessagePad which contains the
batteries.

Bazooka - Code name of the Newton keyboard.

Beam - See Beaming.

Beaming - Transmitting data to or receiving data from another device via an
infrared-based connection. See also Infrared and Squirting.

Bezel - A covering or panel on an electronic device. Generally used in
conjunction with protecting a visual display or connection port.

Bic - Code name of the second generation Newton prototype.

Binary Object - A sequence of bytes that can represent any kind of data,
can be adjusted dynamically in size, and can have a user-specified class.
Examples of binary objects include strings, real numbers, sounds, and
bitmaps.

Bitmap - A set of bits in the Newton's memory that represent the pixels of
a picture.

Blinking Line - A flashing line indicating where new text will be inserted.
See also Caret.

BLTG - A value found in RAM on a Newton device which is used to indicate
whether the globals which live across reboots are valid or not. The BLTG
acronym is defined in the Newton development header files and can also be
found in the Newton OS source code. As referred to as Bacon Lettuce Tomato
& Garlic.

BN - Before Newton. The period of time prior to the introduction of the
Newton. Generally agreed to be any point before August 2nd, 1993. See also
AN and DN.

Bobby - An application used by a developer to test various portions of a
device driver in isolation on a Newton device. See also Lantern.

Book - See Newton Book.

Book Definition File - An output file produced by Newton Book Maker. It is
used as input to Newton Toolkit to build a book package or create Newton
application help.

Book Maker - See Newton Book Maker.

Book Maker Commands - Text-based commands used to tag and differentiate
specific content items in a Newton book sourec file. For example,
specifying the title and layout of a Newton book require different
commands. Sometimes referred to as Dot Commands. See also Book Source File
and Newton Book Maker.

Book Reader - See Newton Book Reader.

Book Source File - A word processor file containing content items tagged
with Newton Book Maker commands. See also Book Maker Commands and Dot
Commands.

Boolean - A special kind of immediate value. In NewtonScript, there is only
one Boolean, called true. Functions and control structures use nil to
represent false. When testing for a true/false value, nil represents false,
and any other value is equivalent to true.

Brain Wipe - See Hard Reset.

Break Loop - A state of the Newton processor in which program execution is
suspended and the Newton accepts input only from an Inspector connection.

Build - A version of a complied program. Also refers to the act of
compiling various project files into the executable program.

Bun Warmer - See Bunn Warmer.

Bunn Warmer - Affectionate nickname for some of the first Newton
development prototypes. So called because of their flat design and heat
they generated, similar to the coffee decanter warmers manufactured by the
Bunn-O-Matic Corporation.

Busy Cursor - A graphical signal that the system displays automatically
while it is temporarily unable to process user input.

Button - A small graphic object that performs an action when tapped. See
also Picture Button and Text Button.

Button Bar - A thick black line with buttons on it. Can also refer to the
set of icon buttons found at the bottom of the Newton screen used to launch
commonly used applications. See also Soft Button and Hard Button.

Button Host - An application that receives buttons from another application
known as a button provider.

Button Provider - An application that adds a button to another application
known as the button host.

Byte Code - The hardware-independent instructions that are interpreted when
a NewtonScript function executes.

C++ Heap - One part of reserved memory used specifically by native program
functions. Sometimes this part of the heap is confused with all parts of
reserved memory which are not part of the NewtonScript Heap. See also Heap
and NewtonScript Heap.

Cadillac - Code name of the first fully designed, tablet-style Newton
prototype. See also Senior.

Call Slip - An input container for recording data associated with a
telephone call. See also Calls.

Callback Spec - A frame passed as an argument to an endpoint method. The
callback spec frame contains slots that control how the endpoint method
executes, along with a completion method that is called when the endpoint
operation completes. See also Output Spec.

Calligrapher - The cursive handwriting recognition system found in all
Newton devices except the eMate. Calligrapher was also used as the print
recognizer in NOS 1.x Newton devices. See also Cursive Recognizer.

Calls - The built-in application for making and storing information about
telephone calls. See also Call Slip.

Card - Short for a PCMCIA card. Also, a view of information about an entry
in the Names soup, formatted as a business card.

Caret - A symbol (^) displayed where the Newton will next insert text that
a user writes, prints, or types. He caret symbol is only used in the 2.x
versions of the Newton OS. Earlier versions used a blinking line to
indicate where new text would be inserted. See also Blinking Line, Carrot,
and Gesture.

Carrot - What the Caret symbol is mistakenly called in the NetHopper User
Guide. Perhaps the fault of a renegade spell checker. See Caret.

CDIL - Communication Desktop Integration Layer. A code layer that provides
a stream based interface for exchanging data with Newton devices over a
variety of communications services. See also Desktop Integration Library.

Character - Any symbol that has a widely understood meaning and thus can
convey information. Some characters - such as letters, numbers, and
punctuation - can be displayed on the Newton, faxed, sent in an e-mail
message, and printed on a printer.

Checkbox - A standard Newton control that displays a setting, either
checked (on) or unchecked (off). Tapping a checkbox or its text label
reverses its setting. One or more checkboxes can be checked. Compare to
Radio Button.

Child - A frame that references another its parent frame. With regard to
views, a child view is enclosed by its parent view. See also Parent.

Cigarette Pack - A nickname for the original Newton fax modem. So called
because its dimensions were similar to that of a package of cigarettes.

Cirrus - See Voyager.

Clank - The sound made by the Newton device after scrolling to the end of a
boxed list of text items, generally when using local scroll arrows.
Referred to as Clanking in the NetHopper User Manual. See also Local Scroll
Arrows and Scrolling List.

Clanking - See Clank.

Claris XTND - See XTND.

Class - A symbol that describes the data referenced by an object. Arrays,
frames, and binary objects can have user-defined classes.

Classroom Exchange - Software that allows the connection one or several
eMate devices to a Mac OS computer and transfer information between the
eMate devices and the computer simultaneously. See also eMate 300.

Clone - A Newton device manufactured by a third party company using
licensed technology licensed from Apple. Examples of Newton clones include
the Sharp ExpertPad, the Motorola Marco, and the Digital Ocean Tarpon.

Close - To make a container view go away by tapping the Close box.

Close Box - A small square box with an X inside, located in the lower right
corner of a container view. Tapping it closes the container view. Compare
to Large Close Box.

Cold Boot - A method of resetting a Newton device that erases all data,
removes any System Update installed, and sets the Newton OS back to factory
defaults. Requires the removal of all power sources to the Newton device.
See also Deep Reset, Soft Reset, Hard Reset, Power Reset, and System Reset.

Command - An instruction that causes the Newton or a device connected to it
to perform some action. The user issues a command by tapping a button or
choosing an item from a picker.

Confirmation Slip - A view that appears on-screen to have the user confirm
or cancel an action that may have far-reaching consequences.

Connection - The built-in application used to perform the action of
connecting or docking to another computer. In Newton 2.1, the same
application is named Dock. See also Dock.

Constant - A value that does not change. In NewtonScript the value of the
constant is substituted wherever the constant is used in code.

Container View - A framed object that displays information (text, graphics,
or both) and may contain controls that the user operates by tapping, as
well as areas where the user can write and draw.

Content Command - A Newton Book Maker command that defines a content item,
such as text or graphics, to be displayed on a Newton device.

Content Flag - A flag that modifies an individual content item; most flags
in the Newton Book Maker language are content flags.

Context Sensitive - Describes an application that can adjust its actions
according to the current situation. For example, an application with
context-sensitive user input adjusts handwriting recognition according to
the type of field (name, date, time, number, phone number, and so on).

Control - An object in a container view that a user can manipulate with a
pen to cause instant action with visible results or to change settings to
modify a future action.

Copperfield - The internal system code name for the built-in book reader
application. See also Newton Book Reader.

CPU - Central Processing Unit. The primary computing part of a digital
device. In conjunction with a timing circuit and memory, makes up a
computer.

Crib - Code name for the MessagePad 110/120/130 charging cradle. Also
referred to as the Lindy Crib. See also Lindy.

Cursive Recognizer - The algorithmic component of the hand writing
recognition system that identifies written or calligraphic characters. See
also Calligrapher and Print Recognizer.

Cursor - An object returned by the Query method. The cursor contains
methods that iterate over a set of soup entries meeting the criteria
specified in the query. The addition or deletion of entries matching the
query specification is automatically reflected in the set of entries
referenced by the cursor, even if the changes occur after the original
query was made.

Dante - Code name of the MessagePad 130 device and according to some
sources, the Newton OS version 2.0. See also Quark.

DataDef - See Data Definition.

Data Definition - A frame containing slots that define a particular type of
data and the methods that operate on it. The entries defined are used by an
application and stored in its soup. A data definition is registered with
the system. The shortened term dataDef is sometimes used. See also View
Definition.

Data Form - A symbol that describes the transformations that must occur
when data is exchanged with other environments. When you send data or set
endpoint options, the data form defines how to convert the data from its
NewtonScript format. When you receive data or get endpoint options, the
data form defines the type of data expected.

Data Link Layer - The layer in device communications that translates data
into a format that can be used with a specific hardware device. Devices
using the data link layer on the Newton are typically PC cards. For
example, the Lantern Driver can interface an ethernet PC Card to the Newton
OS. See also Device Driver and Lantern Driver.

Database - A set of related files that is created and controlled by a
software-based management system.

Date Book - See Dates.

DateMan - A Newton application created by Standalone Software which works
in conjunction with Names and Dates to give an overall view of your entire
agenda. Also referred to as DM.

Dates - The built-in application for recording and viewing appointments and
calendar notes, setting alarms, entering repeating events, and keeping a
to-do list. See also Meeting.

Daughterboard - A small, secondary circuit board that generally is attached
to the main logic board. The daughterboard in a Newton device contains the
ROM chips.

DB - See Database.

DDK - See Driver Developer Kit.

Declaring A Template - Registering a template in another view (usually its
parent) so that the template's view is preallocated when the other view is
opened. This allows access to methods and slots in the declared view.

Deep Reset - A method of resetting a Newton device by pressing and holding
the Reset button. A deep reset resets at a slightly lower level than a Soft
Reset and does not cause any data loss. Also referred to as a Hardware
Reset. See also Cold Boot, Hard Reset, Soft Reset, Power Reset, and System
Reset.

Default Action - The completion action that users are most likely to take
among the safe alternatives in the key view.

Deferred Recognition - The process of recognizing an ink word that was
drawn by the user at an earlier time. Usually initiated when the user
double-taps on an ink word. Deferred recognition was introduced with Newton
OS 1.3. See also Ink and Ink Word.

Denali - The alternate code name for the dynamic programming language
developed at Apple that was to run on the original Newton platform. See
also Dylan and Ralph.

Desktop - See Desktop Computer.

Desktop Computer - Either a Mac OS or Windows-based computer. Sometimes
called simply a Desktop.

Desktop Integration Library - A collection of code which allows developers
of applications for desktop operating systems to directly synchronize data
between their applications and a Newton device. See also CDIL, FDIL,
HLFDIL, and PDIL.

Development Verification Test - An late stage engineering prototype of a
piece of hardware very close in specifications to a final product device.

Device Driver - A software program that facilitates the connection of a
peripheral device to an operating system. See also Lantern Driver and Data
Link Layer.

DHCP - Dynamic Host Configuration Protocol. A protocol that dynamically
allocates IP addresses to computers on a network.

DIL - See Desktop Integration Library.

Dimmed - Describes words or objects that appear gray. In a Newton
application, text or objects that are disabled or unavailable are generally
hidden rather than dimmed.

DIN - Deutsches Institut fur Normung. A type of connector defined by the
German Standards Institute. Generally used to connect peripherals such as
mice, modems, and keyboards to computing devices. The DIN connector found
on 1x0-series Newtons and the eMate is a DIN-8 connector, so called because
it has eight pins. See also Mini-DIN.

DIN-8 - See Mini-DIN.

Display Area - The portion of a Newton device screen on which information
is displayed. See also Non Display Area.

Divider Bar - See Separator Bar.

DIY - Do it yourself.

DM - See DateMan.

DN - During Newton. The period of time between the introduction of the
Newton and its cancellation. Generally agreed to be between August 2nd,
1993 and February 27th, 1998. See also AN and BN.

DNUG - Danish Newton Users Group

Dock - To connect a Newton device to another computer, in most cases to
transfer data. The Dock is also a built-in application under Newton OS 2.1
used to perform the action of connecting to another computer. See also
Connection.

Document Command - A Newton Book Maker command that affects the book source
file.

Document Flag - A flag that affects an entire book source file, such as the
noReLayout flag.

Dongle - A serial adapter that plugs into the propriatary Newton
InterConnect port converting it to a standard DIN-type connector. See also
DIN, Mini-DIN, Dongle Destoyer, and Newton InterConnect.

Dongle Destroyer - A physical modification to a 2x00 series Newton device
which adds a standard serial port alongside the proprietary Newton
InterConnect port. So named because it eliminates the need for the infamous
serial Dongle. The two serial connections cannot be used at the same time.
See also Newton InterConnect.

Dot Commands - Another name for the book commands used to tag content items
in a Newton book source file. So called because the commands must appear
beginning with a period or dot. See also Book Commands, Book Source File,
and Newton Book Maker.

Double Tap - To touch the same spot, or nearly the same spot, twice in
rapid succession with the pen.

Drag - To place the pen on a movable object, slide the pen to move the
object, and lift the pen to stop moving the object.

Drag Handle - A small control that a user can drag to move a container
view. It is a small black tab with a central hole, and is centered in the
view's top border.

DRAM - Dynamic Random Access Memory. A memory chip that requires power to
hold its content. Typically uses one transistor and a capacitor to
represent a bit. The capacitors must be energized hundreds of times per
second in order to maintain the charges. See also SRAM and Flash RAM.

Drawer - A container view that slides open and closed at the bottom of
another container view.

Driver - See Device Driver.

Driver Developer Kit - A set of software routines, tools, and libraries
help programmers create device drivers.

DTMF - Dual Tone Multi-Frequency. The technical term describing Touch Tone
dialing. Basically the combining of two tones, one low frequency and one
high frequency.

DVT - See Development Verification Test

Dylan - The high-level dynamic programming language developed at Apple that
was to run on the original Newton platform. Known for being slow and
difficult to write programs with. Also referred to as Ralph. See also
Denali, Junior, and Senior.

Dynamic Language - See Dylan.

Edit - To change or modify. For example, to insert, remove, replace, or
move text.

EEPROM - Electrically Erasable Programmable Read-Only Memory. A memory chip
that is programmable, reusable, and able to hold its content until erased
using electric current.

Egg Freckles - An easter egg found in the Newton OS which when activated
displays an image from a Doonesbury cartoon lampooning the accuracy of the
early Newton hand writing recognition.

EL - See Electro-Luminescent Panel.

Electro-Luminescent Panel - An illumination technology consisting of a thin
film phosphor layer sandwiched between a substrate. When charged, the
phosphor in that emits visible light. The ELP in the Newton has a
distinguishing bright green color.

Electronic Ink - The marks a user sees as the user writes or draws on the
screen, as opposed to the typeset words or regular shapes the system
displays when it recognizes the user's writing or drawing.

ELP - See Electro-Luminescent Panel.

eMate - See eMate 300.

eMate 300 - A translucent, clamshell-cased Newton device with a built-in
keyboard. Primarily aimed at the educational market.

Emporium - The permanent internal descriptions of places the user works
with a Newton device. (Home and Office are obvious examples, but so might
be "Tokyo Office" if the user travels a lot.) Choosing an emporium sets up
information such as local area code, dialing prefixes, time zone, and so
on. This term is sometimes called "locale." The plural is "emporia." Also
known as Work Site.

Endpoint - A type of communications connection such as a serial connection,
modem, infrared beam, or AppleTalk network. Also an object created from
protoBasicEndpoint, or one of its derivative protos, that controls a
real-time communication session. This object encapsulates and maintains the
details of the specific connection, and allows you to control the
underlying communication tool.

Endpoint Option - An endpoint option is specified in a frame passed in an
array as an argument to one of the endpoint methods. Endpoint options
select the communication tool to use, control its configuration and
operation, and return result code information from each endpoint method
call.

Engineering Verification Test - An early engineering prototype of a piece
of hardware.

Enroute - An integrated Newton-based internet email package developed by
Netstrategy Software and bundled with most Newton devices running Newton OS
2.x. Also referred to as EnRoute Inet.

Enroute Inet - See EnRoute.

Entry - A frame stored in a soup and accessed through a cursor. An entry
frame contains special slots that identify it as belonging to a soup.

Entry Alias - An object that provides a standard way to save a reference to
a soup entry. Entry aliases themselves may be stored in soups.

Enumerated Dictionary - A list of words that can be recognized when this
dictionary is enabled. See also Lexical Dictionary.

Envelope Button - See Action Picker.

Envelope Menu - See Action Picker.

EOP - End of packet indicator.

EPROM - Erasable Programmable Read-Only Memory. A memory chip that is
programmable, reusable, and able to hold its content until erased under
ultraviolet light.

Espy - One of the default fonts used on the Newton. Derived from the Espy
family of sans serif typefaces originally found in Apple's doomed eWorld
online service. See also eWorld.

Evaluate Slot - A slot that's evaluated when Newton Toolkit compiles the
application.

Event - An entry in the Dates application for a day, but not a particular
time during that day. field An area in a view where a user can write
information.

EVT - See Engineering Verification Test

eWorld - Apple's one time foray into the realm of consumer online service.
Based on the same operational platform as America Online, eWorld offered a
wealth of electronic publications and services targeted mainly at Apple
customers. See also Espy and HideE.

Expando - An input area that expands when tapped to become large enough for
writing.

ExpertPad - A Newton clone developed by Sharp Electronics. Two versions of
the ExpertPad were produced, the ExpertPad 7000 which is equivalent to a
Newton OMP and the ExpertPad 7100 which is equivalent to a MessagePad 100.
See also Clone.

Extension - A package that adds some sort of functionality to the operating
system or other packages.

External Store - An external memory card that stores packages and user
data.

Extras Drawer - A built-in container view that displays named picture
buttons a user can tap to open applications. field One item of data input.
Also, the place in a container view where a user can input a data item by
tapping, typing, writing, or drawing.

FDIL - Frame Desktop Integration Layer. A code layer responsible for the
management of NewtonScript-compatible objects, which supercedes the High
Level Frame Desktop Integration Layer. See also Desktop Integration Library
and HLFDIL.

Field - A place in a container view or input slip where a user can enter
text-based data. See also Field Label, Input Area, and Input Line.

Field Label - A static piece of text which describes the type of content
contained within an associated data field. An example of a field label
would be the text "Address:" beside an area where the user could enter a
street number. See also Field.

Figaro - Code name for the series of speculative slate type personal
digital assistant designs that predated the Newton.

Find Slip - An input container that allows the user to enter a term or
phrase to be located within the data stored on the Newton device.

Finder - A frame containing methods and/or objects that enumerate data
items found to match criteria specified via the Find slip.

Flag - A value that is set either on or off to enable a feature. Typically,
flag values are single bits, though they can be groups of bits or a whole
byte. Also a keyword that is added to a Newton Book Maker command to enable
a feature.

Flash Card - A memory card using Flash RAM chips that can be rewritten and
hold its content without power. Also referred to as a Storage Card. See
also Flash RAM.

Flash RAM - A memory chip that can be rewritten and hold its content
without power. See also DRAM and SRAM.

Floating Container View - A container view that initially appears in front
of all open sibling views.

Folder Tab - A control that allows users to select which folder's contents
are currently displayed in a container view. The folder tab goes at the top
of the container view and displays the name of the currently selected
folder.

Font - A complete set of characters in one typeface design. See also
Styles.

Font Size - The size of a font in points. Examples of font size are 12
point and 18 point. See also Styles.

Font Spec - A structure used to store information about a font, including
the font family, style, and point size. See also Styles.

Font Style - A set of stylistic variations other than size, such as bold,
italic, and underline. See also Styles.

Frame - An unordered collection of slots, each of which consists of a name
and value pair. The value of a slot can be any type of object, and slots
can be added or removed from frames dynamically. A frame can have a
user-specified class. Frames can be used like records in Pascal and structs
in C, and also as objects that respond to messages.

Free Form Entry Field - A field that accepts any characters as user input.

Freeze - To suspend the activity of an application or extension package.
Freezing a package is similar to removing a PC card that the package is
stored on and in most cases should free up memory. See also Frozen Package,
Snowflake, Thaw, and Thawed Package.

Freezing - See Freeze.

Frozen Newton - A custom-built, Japanese clear case Newton MessagePad 2100
project.

Frozen Package - A package that has been suspended and is not active. See
also Freeze, Snowflake, Thaw, and Thawed Package.

Function Call Stack - A virtual stack that contains an activation record
for each active function. See also Stack Activation Record.

Function Object - A frame containing executable code. Function objects are
created by the function constructor: func(args) funcBody An executable
function object includes values for its lexical and message environment, as
well as code. This information is captured when the function constructor is
evaluated at run time.

Garbage Collection - The removal of objects and other data created by
packages that the system no longer uses.

Gauge - An object with a marker that indicates an amount, degree, or value
in relation to a range of possible values. A user can only read a gauge.
See also Slider.

Gelato - Code name of the MessagePad 120 device.

GeoPort - A serial port standard from Apple designed primarily for voice
and telephony applications. It is basically a standard RS 422 serial
connector with an additional 5V DC pin to power external devices.

Gesture - A handwritten mark that is recognized as having a special meaning
in the Newton system, such as tap, scrub, caret, and so on.

Glance - A small container view that closes itself automatically after it
has been displayed for a brief period. Also, if a user taps the view, it
closes immediately.

Global - A variable or function that is accessible from any NewtonScript
code.

Global Data File - A Newton Toolkit file named Global Data, in the same
folder as the NTK application, that is compiled once each time you launch
NTK. You can place in this file NewtonScript code that you want available
from any project.

Graffiti - Software based text input system that converts predefined pen
strokes and gestures into character data. Originally developed by Palm
Computing.

Grammar - A set of rules defining the format of an entity to be recognized,
such as a date, time, phone number, or currency value. Lexical dictionaries
are composed of sets of grammars. See also lexical dictionary.

Graphical User Interface - The use of pictures rather than just words to
represent the input and output of a program. Will generally include the use
of a windowing system, icons, buttons, and dialog boxes to facilitate user
interaction. Also referred to as simply GUI. See also User Interface.

Gravity - A drawing feature that causes the endpoints of a newly drawn line
to snap to nearby corners and midpoints of existing graphic shapes.

Green Bug - An affliction which causes an individual to display uncommon
affinity for the Newton platform.

Green Widow - The partner, spouse, or significant other of a Newton user.

Grip Of Death - A system freeze in early model MessagePads due to a lack of
adequate heap space. In later versions of the Newton OS this condition
notified the user of a problem instead of causing a system freeze. See also
Heap.

GUI - See Graphical User Interface.

H1000 - The model number of the original MessagePad and the subsequent
MessagePad 100. See also OMP.

Hammer - A low-level debugger for Newton development that runs on a
Macintosh. Used to debug C, C++, or ARM Assembler code that runs on a
Newton. See also Newtsbug.

Hand Writing Recognition - The algorithmic conversion of hand-written text
into digital text.

Hard Button - A permanent Icon button found in the button bar at the bottom
of 1x0 series Newton devices. Used either to open a built in application
such as Dates or to perform a system wide operation such as Undo. See also
Button Bar, Silk Screen Button, Soft Button, and RYO.

Hard Reset - A technique to completely erase all user installed or entered
data from a Newton device. Also referred to as a Brain Wipe. See also Cold
Boot, Deep Reset, Soft Reset, Power Reset, and System Reset.

Hardware Reset - See Deep Reset.

Heap - An area of memory reserved for use by programs. On a Newton device,
sometimes heap refers to specifically to just the NewtonScript Heap. See
also C++ Heap and NewtonScript Heap.

Heap Space - See Heap.

Heavy Mark - A large dot that appears when you hold the pen down in one
place on the Newton screen. Used to start the action of selecting a block
of text or a shape. See also Squeak.

Help Book - The file that Newton Book Maker produces when it processes a
book source file with the Help Size option checked. Help books are
displayed using the Help Browser built into all Newton devices. See also
Newton Book Maker and Help Browser.

Help Browser - An outline-based help screen interface that uses Help Book
data created by the Newton Book Maker. Generally used to provide
information on how to use a specific applications. The Help Browser
provides only a subset of the capabilities of the Newton Book Reader. See
also Help Book, Newton Book Maker, and Newton Book Reader.

HideE - An application installed on later versions of the Newton which
disabled and hid the stationery used to access Apple's discontinued eWorld
online service. See also eWorld.

Highlight - To make something visually distinct, typically when it's
selected. Usually done by reversing black and white areas.

HLFDIL - High Level Frame Desktop Integration Layer. A code layer
responsible for the management of NewtonScript-compatible objects,
superceded by the Frame Desktop Integration Layer. See also Desktop
Integration Layer and FDIL.

Hobbit - A code name for the AT&T developed chip originally targeted to be
used for the Newton platform. The Hobbit chip was replaced by the
RISC-based chip developed by ARM. AT&T went on to use the Hobbit in its own
pen-based computer, the EO. See also RISC, ARM, and StrongARM.

Home City - The emporium the system uses to modify dialing information,
time zone, and so on. It is usually the user's home, but the user may set
it to another city when traveling.

Hot Spot - A small unnamed control that responds like buttons when tapped.
Usually there are many hot spots in a view, and they can be visible or not.

HWR - See Hand Writing Recognition

Icon - A symbol that graphically represents an object or a concept. For
example, icons in the Extras Drawer represent applications.

IEEE - Institute of Electrical and Electronics Engineers. An organization
of engineers, scientists, and students in electronics and associated fields
that is involved with the setting of computer and communications standards.

Immediate - A value that is stored directly rather than through an indirect
reference to a heap object. Immediates are characters, integers, or
Booleans. See also Reference.

Implant - A processor accelerator upgrade for Newton devices developed by
the Pixsolution Group in Germany.

Implementor - The frame in which a method is defined. See also Receiver.

In Box - A list of items in the In/Out Box application where received items
can be viewed, filed, and managed. The In Box is a separate application in
NOS 1.x. See also In/Out Box and Out Box.

In/Out Box - The application that serves as a central repository for all
incoming and outgoing data handled by the Routing and Transport interfaces.
The In/Out Box application is specifically part of NOS 2.x, In NOS 1.x,
there are separate applications for the In Box and Out Box.

Infrared - Electromagnetic waves in the frequency range just below visible
light. Infrared-based sources and receivers are used in Newton devices for
communication with other devices.

Infrared Data Association - An industry body developing standards for
infrared data transfer.

Inheritance - The mechanism by which attributes (slots or data) and
behaviors (methods) are made available to objects. Parent inheritance
allows views of dissimilar types to share slots containing data or methods.
Prototype inheritance allows a template to base its definition on that of
another template or prototype.

Ink - The raw data for input drawn by the user with the stylus. Also known
as Raw Ink or Sketch Ink.

Ink Text - Words written in electronic ink.

Ink Word - The grouping of ink data created by the recognition system,
based on the timing and spacing of the user's handwriting. Ink words are
created when the user has selected Ink Text in the Recognition Preferences
slip. Ink words can subsequently be recognized with deferred recognition.

InkBar - A collapsible toolbar interface for the InkWell system that allows
customization of various preferences.

Inker - A low-level task in the Newton operating system which takes the
user input and then draws the appropriate data on the screen. In effect,
converting physical pen strokes into electronic ink.

InkPad - A simple notepad interface where handwritten input is converted
into editable text within the InkWell system.

InkWell - The purported name given to the Mac OS version of the Newton
handwriting recognition system. See also Rosetta.

Input - Information transferred into a Newton from some external source,
such as the pen or a modem. Compare to Output.

Input Area - A place in a container view where a user can write or draw.
See also Field.

Input Line - An input area where a user can write one line of text. See
also Field.

Input Spec - A frame used in receiving endpoint data that defines how
incoming data should be formatted; termination conditions that control when
the input should be stopped; data filtering options; and callback methods.

Insertion Point - See Caret.

Instantiate - To make a run-time object in the NewtonScript heap from a
template. Usually this term refers to the process of creating a view from a
template.

Interface - See Newton User Interface and User Interface.

Internal Store - A portion of the built in system memory that stores
packages and user data.

Invert - To highlight by changing white pixels to black and vice versa.

IP - Internet Protocol. Part of the TCP/IP communications protocol. IP
implements the network layer containing a network address, and is used to
route messages to different networks. See also TCP/IP and TCP.

IR - See Infrared.

IrDA - An infrared communications protocol standard used in Newton OS 2.1
devices. See also ASK and Infrared Data Association.

IrDA-LAP - The link access protocol component of the IrDA communications
protocol. See also IrDA.

IrDA-LMP - The link management protocol component of the IrDA
communications protocol. See also IrDA.

IrDA-SIR - The serial infrared component of the IrDA communications
protocol. See also IrDA.

Item Frame - The frame that encapsulates a routed (sent or received) object
and that is stored in the In/Out Box soup.

Item Info Slip - A slip that reports statistics for an item headed by a
separator bar. The statistics include the item's title, type, creation
date, size, and storage location. A user can change an item's title in the
Item Info slip.

JAE - Japan Aviation Electronics. A company that produces connectors and
other electronic equipment components. Supplier of the infamous Newton
InterConnect.

Jaggies - A condition where objects and text on the Newton screen appear
overly jaggy or bitmapped. Thought to be an electro-mechanical problem
between the LCD display and the connector.

Jumptable - A series of instructions for the microprocessor, each of which
tells the microprocessor to branch or jump to another location in memory.

Junior - Code name for the final design of original MessagePad device. Also
referred to as Pocket Newton. See also Batman, H1000, Wedge, and OMP.

K - Code name of the eMate 300 device. See also eMate 300, Schoolbook, and
Shay.

Kernel - The essential part of an operating system, responsible for
operation such as resource allocation and low-level hardware communication.
See also Newton Operating System.

Key View - The container view that receives keyboard input and contains the
text-insertion caret or text selection (if either exists).

Keyboard Equivalent - A keyboard command that is the equivalent of tapping
a button or choosing from a picker.

Kiosk - A navigational page in a Newton Book. Tapping an item on the kiosk
page, such as a picture, takes the user directly to the subject matter it
represents.

Lantern DDK - The driver development kit used to write a Lantern Driver.
The Lantern Library or Lantern API is included in the Newton Devices
package and is required in order to use any Lantern Drivers you write with
the DDK. See also Lantern Driver and Newton Devices.

Lantern Driver - A data link layer driver which allows Newton applications
to use specific hardware (typically an ethernet card) in conjunction with
the Lantern Library (incorporated into the Newton Devices package). See
also Device Driver, Data Link Layer, and Newton Devices.

Lantern Library - See Newton Devices.

Large Close Box - Behaves the same as a Close box but looks slightly larger
to match the standard height of a text button.

Layout - A Newton Book Maker command that specifies the placement of text
and graphics on the page.

Layout Command - A Newton Book Maker command that defines a layout.

Layout File - A file that contains view templates laid out by Newton
Toolkit.

Layout Flag - A flag used to modify a layout command; the flag affects any
page using that layout.

Layout View - The topmost parent of all other views in a single Newton
toolkit layout file.

LCD - See Liquid Crystal Display.

Lexical Dictionary - A list of valid grammars, each specifying the format
of an entity to be recognized, such as a date, time, phone number or
currency value. See also Enumerated Dictionary and Grammar.

Lindy - Code name of the MessagePad 110 device.

Lindy Crib - See Crib.

Line - A shape defined by two points: the current x and y location of the
graphics pen and the x and y location of its destination.

Liquid Crystal Display - An thin electro-optical device used as the display
technology on the Newton and other electronic devices.

Local - A variable whose scope is the function within which it is defined.
You must use the local keyword to explicitly create a local variable within
a function.

Local Scroll Arrows - Scroll arrows used to control a scrollable list of
text item within a specific application. See also Universal Scroll Arrows,
Scroll Arrows, and Scroll.

Macintosh Programmers Workshop - A comprehensive collection of core
development tools from Apple designed to support C, C++, and
assembly-language programmers developing Macintosh software. Also referred
to as MPW.

Magic Pointer - A constant that represents a special kind of reference to
an object in the Newton ROM. Magic pointer references are resolved at run
time by the operating system, which substitutes the actual address of the
ROM object for the magic pointer reference. See also Pointer.

Magic Pointers Table - A series of NewtonScript pointers that indicate the
location of various NewtonScript objects. This table can be partially
replaced by System Patch Pages, allowing a System Patch to replace specific
Magic Pointers. See also Pointer.

mAh - Milliamp Hours. A unit measuring the amount of electric current used
by a circuit in thousandths of amps multiplied by the hours of use. mAh is
used to describe the capacity of rechargeable batteries. For example, a
battery rated at 1500 mAh can power a device drawing 100 mAh for 15 hours.

Main Logic Board - The primary circuit board holding the processor chip and
the system ROM inside a Newton device.

Main View - A principal container view that serves as a center of user
operations for an application. See also Application Base View.

Mapping - The relationship of virtual addresses to physical addresses using
the address translation tables in the Memory Management Unit.

Marco - A Newton clone developed by Motorola. The Marco featured a wireless
modem that used the Ardis wireless networking service. See also Ardis and
Clone.

Matte Border - A thick gray border framed with black.

Meeting - An entry in the Dates application for a specific time during the
day. People can be invited and the meeting can be scheduled for a
particular location. See also Dates.

Memory Effect - A condition of a rechargeable battery in which it will hold
less and less of a charge over time.

Memory Info Slip - A slip that reports statistics on the amount of memory
installed and available to a Newton device.

Memory Management Unit - A computer component responsible for the
translation of the virtual address assigned to a chunk of data into the
physical (or actual) address of that data.

Memory Page - A segment of memory containing addresses translated by the
Memory Management Unit or MMU. A page consists of a group of bytes
considered indivisible by the MMU. The MMU for the ARM processor divides
the memory into sections of 1 MB, which can then be divided into pages of 4
KB and 64 KB. See also Memory Management Unit.

Message - An instruction to execute a method, as in a programmed function.
Also referred to as a symbol with a set of arguments. A message is sent
using the message send syntax, where the message, messageName, is sent to
the receiver, frame.

MessagePad - The base model name of all Apple manufactured Newton devices
except the eMate.

MessageSlate - A prototype Newton featuring a larger screen.

Messaging Card - A PC card developed by Motorola that allowed a Newton
device to receive and store wireless network pages over various paging
systems and news services.

Method - A programmed function. Each method contained in a template
processes a particular message for the view that the template defines. When
a view receives a message for which it has a method, the Newton executes
that method. Also referred to as a function in a frame slot that is invoked
in response to a message.

MI - See MoreInfo.

Mini-DIN - A style of plug and socket generally used to connect serial
devices such as keyboards and modems. The serial connector found on 1x0
series Newton devices and the eMate is an eight pin Mini-DIN, sometimes
referred to as a DIN-8 connector. See also DIN.

MLB - See Main Logic Board.

MMU - See Memory Management Unit.

MMU Tables - Information used by the Memory Management Unit which instruct
it how to handle the translation of virtual addresses to physical
addresses.

MoBo - Motherboard. See Main Logic Board.

MoreInfo - Software created by SilverWare which seamlessly extends the
built-in information management applications of the Newton OS. Also
referred to as MI.

Motherboard - See Main Logic Board.

MP - See MessagePad.

MP100 - MessagePad 100

MP110 - MessagePad 110

MP120 - MessagePad 120

MP130 - MessagePad 130, the first Newton device to incorporate
backlighting.

MP2000 - MessagePad 2000, also referred to as MP2K.

MP2100 - MessagePad 2100, the last Newton device released by Apple.

MP2K - MessagePad 2000, also referred to as MP2000.

MPW - See Macintosh Programmers Workshop.

N2 - The code name for the Voyager based platform for licensed, or clone,
Newton devices. N2 is the base platform for MP2x00 series Newtons and can
theoretically support up to 4 PCMCIA slots, 4 MB of DRAM, 12 MB of Flash
RAM, and 16 MB of ROM. See also Voyager.

Name Reference - A frame that contains a soup entry or an alias to a soup
entry, often, though not necessarily, from the Names soup. The frame may
also contain some of the individual slots from the soup entry.

Names - The built-in application for storing names, addresses, phone
numbers, and other information about people.

Names File - See Names.

NAP - See Newton Associates Program.

NASP - See Newton Aluminum Shell Project.

NBM - See Newton Book Maker.

NBR - See Newton Book Reader.

NBU - See Newton Backup Utility.

NCK - See Newton Connection Kit.

NCT - See Newton C++ Toolbox.

NCU - See Newton Connection Utilities.

NDB - See Newton Data Browser.

NDC - Newton Developer Conference. A scheduled event periodically held for
the Newton development community by Apple. At one time, these events
allowed developers to meet each other and learn about the future direction
of Newton specific business and technology.

NDE - See NewtDevEnv.

NDS - See Newton Developer Support.

NDU - See Newton Data Browser.

Newt - A nickname for Newton devices.

NewtApp - Newton application programming framework.

NewtDevEnv - Newton development environment created by Steve Weyer. Also
referred to as NDE.

NewtDump - A desktop application able to extract In/Out Box messages and
Notes to ASCII text using any Windows based desktop computer. Created by
Victor Rehorst.

Newties - An affectionate nickname for Newton users. Also an annual award
presented by the This Old Newt web site.

NewtIR - An infrared communications protocol based on the ASK standard and
used in older Newton devices. This protocol includes extensions developed
by Apple which make it substantially faster.

Newton Aluminum Shell Project - A project to explore the possibility to
create an aluminum replacement casing for the MessagePad 2100 device.

Newton Associates Program - A defunct Apple development support program
providing low-cost, self-help resources to Newton developers.

Newton Backup Utility - Software developed by Apple that allows you to
backup and restore data from a Newton device to a desktop computer.

Newton Book - An electronic document created for viewing on a Newton
device. Something referred to as a Newton Digital Book. See also Newton
Book Reader and Newton Book Maker.

Newton Book Maker - An application that processes a book source file to
produce a book definition file. See also Book Commands, Newton Book Reader
and Newton Book.

Newton Book Reader - An application built into the Newton OS as a system
service that displays and allows navigation through interactive digital
books on a Newton device. See also Newton Book and Newton Book Maker.

Newton Bowels - A project instigated by Paul Guyot to document the Newton
OS APIs and mechanisms, and to provide related sample code and development
tools. See also Application Programming Interface.

Newton C++ Toolbox - A complete MPW development environment for creating
C++ code for the Newton. Also see Macintosh Programmers Workshop.

Newton Connection Kit - Software developed by Apple which allows users to
exchange information with common desktop applications using a Newton device
For use with Newton OS 1.x only. See also Newton Connection Utilities.

Newton Connection Utilities - Software developed by Apple which allows
users to exchange and share information from their Newton device with
common desktop applications. This software also offers support for
installing packages and using a desktop keyboard as an input peripheral on
the Newton. For use with Newton OS 2.x only. See also Newton Connection
Kit.

Newton Data Browser - A desktop application used to retrieve and edit data
on Newton devices. Created by Thomas Tempelmann. Also referred to as Newton
DIL Tester and Newton Desktop Utility.

Newton Desktop Utility - See Newton Data Browser.

Newton Developer Support - A defunct group at Apple which supplied
technical information and support for companies and individuals developing
product for the Newton platform.

Newton Devices - A package containing various driver functions allowing
communication using protocols such as AppleTalk and TCP/IP. The Newton
Devices package incorporates the Lantern Library of driver functions, and
other driver APIs. See also Lantern Driver.

Newton Digital Book - See Newton Book.

Newton DIL Tester - See Newton Data Browser.

Newton Inc. - A defunct subsidiary of Apple spun out from the Newton
Systems Group.

Newton Intelligence - A marketing-focused name for the core Newton
operating system.

Newton InterConnect - The unique 26-pin port found on the MP2000, MP2100,
and eMate devices. See also Dongle and Dongle Destroyer.

Newton Internet Enabler - Software that runs in the background of the
Newton operating system, enabling you to access the internet and other
information services using a Newton device.

Newton Plus - See Senior.

Newton Operating System - Also referred to as Newton OS. The base software
control program that runs a computer. The main part of an operating system,
called the kernel, resides in memory at all times. See Also Kernel.

Newton OS - See Newton Operating System.

Newton Package Installer - Software developed by Apple to allow installing
packages on a Newton device from a desktop computer.

Newton Partners Program - A defunct Apple development support program
providing expanded, expert-level resources to Newton developers.

Newton Personal Data Sharing - A suite of software packages which allow a
Newton device to act as an HTTP-based web server. Created by Matt Vaughn.

Newton Press - Software developed by Apple for creating and distributing
electronic documents as Newton books.

Newton Print Pack - Originally a serial to parallel converter with built-in
ROM-based drivers developed by Apple that allowed you to print from your
Newton device to various PC printers. The later version of the Newton Print
Pack was software based and could be used with third party converters.

Newton Programmers Guide - The definitive guide to Newton programming,
providing conceptual information and instructions for using the Newton
application programming interfaces. See also Newton Programmers Reference.

Newton Programmers Reference - A document which provides comprehensive
documentation for the routines, system prototypes, data structures,
constants, and error codes defined by the Newton system. See also Newton
Programmers Guide.

Newton Streamed Object Format - A specific type of data which describes a
NewtonScript frame along with everything that it contains. See also Stream
File.

Newton Systems Group - The Newton platform development group within Apple
Computer.

Newton Technology Journal - An Apple produced publication which supplied
Newton developers with information on Newton platform technology,
development tools, and marketing news.

Newton Toolkit - The development environment for writing NewtonScript
programs for Newton. See also NewtonScript.

Newton User Group - An organized group of Newton enthusiasts. Sometimes
abbreviated as simply NUG. See also AMUG and DNUG.

Newton User Interface - The standard conventions for interacting with
Newton devices. The interface ensures users a consistent means of
interacting with all Newton devices and the applications designed to run on
them.

Newton Works - An integrated software application developed by Apple for
devices running Newton OS 2.1 only. Functionality includes word processing
and drawing.

NewtonMail - An electronic mail system supported by Apple specifically for
Newton users. NewtonMail facilitated the creation of a single email account
which let users exchange messages with most major online services including
AppleLink, CompuServe, eWorld, America Online, as well as via an internet
gateway.

NewtonScript - A dynamic, object-oriented programming language developed
for the Newton platform. See also WallyScript.

NewtonScript Heap - An area of RAM used by the system for dynamically
allocated objects, including NewtonScript objects.

Newtourage - Software that allows a Newton device to synchronize contact
information from the Names application with Microsoft Entourage on a
Macintosh desktop computer. Created by John Del Pizzo.

Newtsbug - A low level debugger that is used when programming Newton
software in the C or C++ languages. See also Hammer.

NewtWorks - See Newton Works.

NIC - See Newton InterConnect.

Nicad - See Nickel Cadmium.

NiCd - See Nickel Cadmium.

Nickel Cadmium - A rechargeable battery technology that is susceptible to
the Memory Effect.

Nickel Metal Hydride - A rechargeable battery technology that is not
susceptible to the Memory Effect.

NIE - See Newton Internet Enabler.

Nil - A value that indicates nothing, none, no, or anything negative or
empty. The value nil represents "false" in Boolean expressions; any other
value represents "true."

NiMH - See Nickel Metal Hydride.

Nipples - An affectionate term used by the original Newton developers for
the small rubber feet found on the bottom of each Newton device.

Non Display Area - The portion of a Newton device screen between the area
where information can be displayed and the edge of the plastic case. See
also Display Area.

NOS - See Newton Operating System.

Notable - Software developed by Revelar Inc. which allows users to
manipulate Notepad data on a Newton device in real time using a desktop
computer. See also Revelar Connection Utility.

Notepad - The built-in application for taking and organizing notes, which
may contain text and drawings.

Notes - See Notepad.

Notification Slip - A view that appears on the screen to warn the user or
to report an error. A notification slip may or may not be accompanied by an
alert sound.

NP - See Newton Press.

NPDS - See Newton Personal Data Sharing.

NPG - See Newton Programmers Guide.

NPI - See Newton Package Installer.

NPP - See Newton Partners Program and Newton Print Pack.

NPR - See Newton Programmers Reference.

NS - See NewtonScript.

NSG - See Newton Systems Group.

NSOF - See Newton Streamed Object Format.

NST - Newton Software Technology. A generic phrase used to encapsulate all
of the technologies, development tools, and training pertaining to the
creation of software for the Newton platform.

NTJ - See Newton Technology Journal.

NTK - See Newton Toolkit.

NTLK - The NewtonTalk mailing list hosted by the Planet Newton web site.

NUG - See Newton User Group.

NWT - The file extension used to identify a Newton Connection Kit workfile.

Object - A typed piece of data that can be an immediate, array, frame, or
binary object. In NewtonScript, only frame objects can hold methods and
receive messages.

Object Stream File - See Stream File.

OEM - Original Equipment Manufacturer. A manufacturer that sells equipment
to a reseller for rebranding or repackaging.

OMP - Original MessagePad, not to be confused with the MP100 or MessagePad
100 which share the same model number. See also Batman, H1000, Junior, and
Wedge.

Option Frame - A frame passed as a parameter to an endpoint method that
selects the communication tool to use; controls its configuration and
operation; and returns result code information from the endpoint method.

Orientation - The position of the contents displayed on a Newton device
relative to the device itself. The Newton can display information in either
horizontal or vertical orientation. See also Rotate.

Origin - The coordinates of the top-left corner of a view. The origin can
be shifted, for example, to scroll the contents of a view.

Out Box - A list of items in the In/Out Box application where sent or
queued items can be viewed, filed, and managed. The Out Box is a separate
application in NOS 1.x. See also In/Out Box and In Box.

Output - Information transferred from a Newton to some external
destination, such as a printer or a modem. See also Input.

Output Spec - A special type of callback spec used with an endpoint method.
An output spec contains a few additional slots that allow you to pass
special protocol flags and to define how the data being sent is translated.

Oval - A circular or elliptical shape defined by the bounding rectangle
that encloses it.

Owner - A person who uses the Newton device.

Owner Info - A slip containing information about owners and worksites that
the user of the Newton device has set up.

Package - The unit in which software can be installed on and removed from
the Newton. A package consists of a header containing the package name and
other information, and one or more parts containing the software.

Package File - A file that contains downloadable Newton software.

Package Installer - A program that facilitates the transfer of software
packages onto a Newton device.

Package Store - See Store Part.

Page - See Memory Page.

Page Script - A NewtonScript script attached to a layout in a Newton Book.

Palette - A small view that provides controls for modifying the contents of
other views. The user can move a palette, and it floats on top of other
views of the same application, so it can remain open for use in all visible
views.

Palmrest - The bottom portion of the case on MessagePad device where the
users wrist is normally situated while entering data.

Parent - A frame referenced through the parent slot of another frame. With
regard to views, a parent view encloses its child views.

Parent View - A view that contains one or more other views.

Part - A unit of software, either code or data, held in a part frame. The
format of the part is identified by a four character identifier called its
type or its part code.

Part Frame - The top-level frame that holds an application, book, or auto
part.

Patch - A small piece of code intended to fix or modify a larger software
program. See also System Update.

Patchable Jumptable - A series of branching instructions directly pointing
to native Newton OS functions. These instructions are ordered differently
depending on the version of the ROM. This jumptable can be partially
replaced by System Patch Pages, allowing system patches to replace specific
operating system functions.

Path Expression - An object that encapsulates an access path through a set
of arrays or frames. Proto A frame that is referenced through another
frame's _proto slot.

PC Card - See PCMCIA

PCMCIA - Personal Computer Memory Card International Association. This
acronym is used to describe the memory cards used by the Newton PDA. Newton
memory cards follow the PCMCIA standards.

PDA - See Personal Digital Assistant.

PDIL - Protocol Desktop Integration Library. A code layer containing the
protocol used to communicate with the Connection and Dock applications on
Newton devices. See also Desktop Integration Library.

Pen - The hand held instrument used to enter data into a Newton device.
Also referred to as a Stylus.

Persona - The permanent internal description of an individual person that
uses a particular Newton PDA, or a particular public image of the Newton
owner. The owner is the obvious example, but there can be many others.
Choosing a persona sets up information such as name, title, birthday, phone
numbers, e-mail addresses, and so on. The plural is "personae."

Personal Digital Assistant - A small hand-held computer used to manage
various types of personal and business related information. The original
term is believed to be coined by former Apple honcho John Sculley.

Personal Information Manager - A software program that stores and organizes
data such as names, addresses, and other means of contact.

Personal Interactive Electronics Division - A short lived division of Apple
which handled the development and marketing of the Newton.

Physical Address - A value representing the actual location of a piece of
data. See also Virtual Address.

Picker - A list of choices that appears when the user taps an adjacent text
label marked by a solid diamond. A picker may also appear when a user taps
a button. The user chooses one of the listed items by tapping it.

Picture - A saved sequence of drawing operations that can be played back
later. polygon A shape defined by a sequence of points representing the
polygon's vertices, connected by straight lines from one point to the next.

Picture Button - A control that the user taps to designate or confirm an
action implied by the icon displayed on the button.

Picture Radio Button - A standard Newton control that displays its state,
either on or off, and is part of a group in which the user can turn on only
one button at a time. A picture on the on-off indicator identifies the kind
of setting.

PIE - See Personal Interactive Electronics Division.

PIM - See Personal Information Manager.

PIN - Personal Identification Number. A unique series of numerals that
allows secure access to a system or device. Similar to a password.

Pixel - Short for picture element; the smallest dot the Newton can draw on
the screen. On a Newton MessagePad, there are 80 pixels to an inch. Each
pixel can be either black or white, so it can be represented by a bit;
thus, the display is said to be a bitmap.

PKG - Newton package format, usually seen as a file name extension on a
desktop computer.

PN - Planet Newton, web site home to the NewtonTalk mailing list and
download archive.

Pocket Newton - See Junior.

Point - A unit of measurement for type. There are approximately 72 points
to an inch.

Pointer - An address, from the point of view of a programming language. A
pointer may be typed, with its type indicating the type of data to which it
points. See also Magic Pointers Table.

Polygon - A shape defined by a sequence of points representing the
polygon's vertices, connected by straight lines from one point to the next.

Poof - The sound associated with the puff of smoke animation which occurs
after deleting text or ink drawings by scrubbing with the stylus on the
screen. See also Scrubbing.

Pop-Up - See Picker.

Power Port - A connector on the Newton device which accepts a plug from an
AC adapter or other external power source.

Power Reset - A method of resetting a Newton device by pressing the Reset
button and holding down the power switch. A power reset does not cause any
data loss but will reset the power manager. See also Cold Boot, Deep Reset,
Soft Reset, Hard Reset, and System Reset.

Print Recognizer - The algorithmic component of the hand writing
recognition system that identifies printed characters. See also Rosetta and
Cursive Recognizer.

Project - The collected files and specifications that NTK uses to build a
package that can be downloaded and executed on the Newton.

Project Build - To compile all of the various files, resources, and other
data components for a given project into an executable program. See also
Project File.

Project File - A Newton Toolkit file that contains a list of files to be
included in a build and the build specifications. See also Project Build.

Proto - A frame referenced through another frame's _proto slot. With regard
to views, a proto is not intended to be directly instantiated - you
reference the proto from a template. The system supplies several view
protos, which an application can use to implement user interface elements
such as buttons, input fields, and so on.

Proto Template - A predefined template that defines the appearance and
behavior of a standard interface element, such as a Close box or a status
slip. A proto template is called a "proto" for short.

Protocol - An agreed-upon set of conventions for communications between two
computers, such as the protocol used to communicate between a desktop
computer and a Newton device.

Public Jumptable - A list of branching instructions indirectly pointing to
native Newton OS functions. For every version of the version 2.x Newton
ROM, the functions are always at the same offset in the jumptable. Native
programs can call these functions via the standard public jumptable and
they will work on every 2.x Newton. Also a series of branches pointing to
the Patchable Jumptable.

Q - Code name of the MessagePad 2000 and MessagePad 2100 devices.

Quark - Code name of the MessagePad 130 device. See also Dante.

Radio Button - A standard Newton control that displays its state, either on
or off, and is part of a group in which the user can turn on only one
button at a time. A text label next to the on-off indicator identifies the
kind of setting.

Ralph - The code name for the programming language developed at Apple that
was to run on the original Newton platform. Named after Ralph Ellison, the
author of The Invisible Man. See also Denali and Dylan.

RAM - Random Access Memory. A type of data storage where the order of
access to the contents does not affect the speed of access.

Raw Ink - See Ink.

RCU - See Revelar Connection Utility.

Receiver - The frame that was sent a message. The receiver for the
invocation of a function object is accessible through the pseudo-variable
self. See also Implementor.

Recognized Text - Ink words processed by the recognition system. Ink drawn
by the user is converted into recognized text when the user has selected
"Text" in the Recognition Preferences slip or after deferred recognition
takes place. See also Ink Word.

Recognizer - See Cursive Recognizer and Print Recognizer.

Rectangle - A shape defined by two points - its top-left and its
bottom-right corners - or by four boundaries - its upper, left, bottom, and
right sides.

Reference - A value that indirectly refers to an array, frame, or binary
object. See also Immediate.

Region - An arbitrary area or set of areas on the coordinate plane. The
outline of a region should be one or more closed loops.

Reset Button - A button found on the back of a Newton device which allows
you resolve some problems that may occur during the operation of the
device. See also Soft Reset, Power Reset, and Deep Reset.

Resource - Raw data - usually bitmaps or sounds - stored on the development
system and incorporated into a Newton application during the project build.

Resource File - A file that contains Macintosh-style resources, to be used
during a Newton Toolkit project build.

Restore - To replace all the information in a Newton with information from
a file on the desktop.

Restricted Entry Field - A field of a view that accepts as user input only
the values specified in the view's template slot. For example, a field for
entering phone numbers might restrict acceptable user input to numerals.

Revelar Connection Utility - Software developed by Revelar Inc. which
allows users to export, modify, and share data from their Newton device
with Macintosh computers. Works with data used by the Notes, Names, Dates,
and Calls applications. Also referred to as RCU. See also ADF and Notable.

REX - See ROM Extension.

Rich String - A string object that contains imbedded ink words. Rich
strings create a compact representation for strings that contain ink words
and can be used with most of the string-processing functions provided in
the system software. See also Rich String Format.

Rich String Format - The internal representation used for rich strings.
Each ink word is represented by a special placeholder character in the
string. The data for each ink word is stored after the string terminator
character. The final 32 bits in a rich string encode information about the
rich string.

Rich Text Format - A standard for encoding formatted text and graphics
originally developed by Microsoft.

RISC - Reduced Instruction Set Computer. A processor designed to execute a
rapid sequence of simple instructions rather than a large variety of
complex instructions.

RJ-11 - A modular telephone jack standard used mainly in North America. See
also Xjack.

RJ-45 - A modular jack standard similar in style to, but larger than an
RJ-11 used for Ethernet connections.

ROM - Read-Only Memory. A type of non-volatile data storage which is
manufactured with fixed contents. The Newton operating system resides in
ROM and cannot be changed or deleted directly.

ROM Extension - Additional operating system data external to the data
contained in the base Newton OS ROM image. Apple branded Newtons have the
Apple ROM Extension (or REX) as the first ROM extension which includes most
Newton OS applications. Clones or licensed Newton devices usually include
the Apple REX and sometimes include a specific, custom ROM extension. There
can be up to four ROM extensions on the N2 platform.

ROM Patch - See patch.

Root View - The topmost parent view in the view hierarchy. All other views
descend from the root view.

Rosetta - Code name for the software based print handwriting recognition
system developed by Apple. See also Print Recognizer.

Rosetta Stone - Code name for the Mac OS version of the Rosetta handwriting
recognition system. See also InkWell.

Rotate - To change the orientation of the displayed content on a Newton
device. See also Orientation.

Rounded Rectangle - A rectangle with rounded corners. The shape is defined
by the rectangle itself, along with the diameter of the circles forming the
corners (called the diameter of curvature).

Routing - The process of sending or receiving data through the built-in
In/Out Box application using a communications transport such as printing,
faxing, beaming, or e-mailing. Routing data is generally initiated by using
one of the options found in the Action Picker.

Routing Format - A frame that describes how to format an object that is to
be sent (routed). Examples include print routing formats, which describe
how to visually format data, and frame routing formats, which describe the
internal structure of a frame.

Routing Slip - A view in which a user specifies the sender, recipient,
format, and other information needed to send data by the method the user
picked from the Action Picker. See also Routing.

RS232 - A standard for serial communication between computers and
peripheral devices such as modems and terminals.

RTF - See Rich Text Format.

Runt - Code name for the ASIC chip set used in the older Newton devices.
Rumored to have been called Runt because of the small form factor of the
original Newton.

RYO - Roll Your Own. A utility for adding status bar buttons at the bottom
of the Newton display to facilitate the launching of commonly used
applications. RYO also allows the creation of invisible buttons on the
bottom halves of the permanent hard buttons found on 1x0 series Newton
devices. See also Button Bar, Hard Button, and Silk Screen Button.

SBM - Softwarebuero Mueller. A German software development company that
produces many applications specifically for the Newton platform. See also
SBM Utilities.

SBM Utilities - A collection of Newton OS diagnostic and repair tools
created by the software company Softwarebuero Mueller.

Schoolbook - Code name of the eMate 300 device. See also eMate 300, K, and
Shay.

Script Icon - An icon that executes a function object when tapped.

Scroll - To cause currently displayed data to move off the screen and be
replaced by data that was not visible. See also Scroll Arrows.

Scroll Arrows - Small icon-based buttons which are used to cause currently
displayed data to move off the screen and be replaced by data that was not
visible. See also Icon, Scroll, Local Scroll Arrows, and Universal Scroll
Arrows.

Scrolling List - A boxed list of text items. A user sees more items by
tapping the universal scroll arrows or optional local scroll arrows, and
selects one or more items by tapping them. See also Local Scroll Arrows,
Universal Scroll Arrows, Clanking, and Scroll Arrows.

Scrub - See Scrubbing.

Scrubbing - A method of erasing or deleting words or images using a zig zag
motion with the pen. See also Poof.

SDK - See Software Developers Kit.

Seahorse - A rugged, wireless Newton clone developed by Digital Ocean.
Similar to the Tarpon, the Seahorse also featured technologies that allowed
for applications as wireless communications using a headset and GPS. See
also Tarpon and Clone.

Select - To designate an object by tapping, double-tapping, or dragging
across it. The next action that happens to an object happens to the
selected object. selection The object or group of objects most recently
designated to be affected by the next action.

Self - A pseudo-variable that is set to the current receiver.

Senior - Code name of the larger format, slate-like original MessagePad
device that ended up never being developed. The debugger ROM image for the
MessagePad 2x00 series is also called the Senior Cirrus Debug, perpetuating
the theory that Senior actually existed and ended up being the MP2000. Also
referred to as Newton Plus. See also Cadillac.

Separator Bar - A heavy black line that heads each item in a view that can
display multiple items at once. A separator bar carries the title of the
item below it and also carries controls that affect only the one item.

Serious Bandwidth - A legendary anecdote where a Newton user named Robert
McNally entered Lewis Carrol's Jabberwocky into an original Newton device
and had the handwriting recognition generate what was basically a new lyric
poem. The phrase Serious Bandwidth was the translation of Frumious
Bandersnatch from the original poem.

Shape - A picture composed of geometric shapes such as straight lines and
curves, circles and ovals, and rectangles and other polygons. Also a data
structure used by the drawing system to draw an image on the screen.

SharpIR - See ASK.

Shay - Code name of the eMate 300 device. See also eMate 300, K, and
Schoolbook.

Sibling Views - Two or more views contained by one other view - their
parent view.

Siblings - Child frames that have the same parent frame.

SIG - See Special Interest Group.

Signature - See Application Signature.

Silk Button - See Silk Screen Button.

Silk Screen Button - A permanent Icon button found in the button bar at the
bottom of 1x0 series Newton devices. So called because the icon is silk
screen printed on the surface of the device display. See also Button Bar,
Hard Button, Soft Button, and RYO.

SimpleMail - An e-mail transport that lets you send and receive messages
over the internet. Created by Simon Bell. See also Transport and In/Out
Box.

Sketch Ink - See Ink.

Sleep - An inactive state of a Newton device where system and peripheral
functions are shut down, but the device can still respond to an external
signal. See also Wake.

Slider - A control with a marker that indicates an amount, degree, or value
in relation to a range of possible values. The user can adjust the setting
by dragging the marker on a slider. See also Gauge.

Slip - A matte-framed container view that an application displays to get
detailed user input, or to present alternatives among which a user can
choose to determine the outcome of a task just begun.

Slot - An element of a frame or array that can hold an immediate or
reference.

Smirkers - The group of skeptical Apple employees working on the Newton
project who doubted the feasibility and operability of both the larger
Newton-based device code named Senior and the Dylan language running on the
device. See also Dylan, Senior, and Junior.

Snowflake - The type of icon used to indicate that a package has been
frozen. See also Freeze, Frozen Package, Thaw, and Thawed Package.

Soft Button - A user modifiable icon button found in the button bar section
of the screen on 2x00 series Newton devices. Soft buttons may be customized
by dragging icons to and from the Extras drawer. See also Hard Button and
Button Bar.

Soft Reset - A method of resetting a Newton device by pressing the Reset
button. A soft reset does not cause any data loss. Also referred to as a
Software Reset. See also Cold Boot, Deep Reset, Hard Reset, Power Reset,
and System Reset.

Software Developers Kit - A set of software routines, tools, libraries, and
other utilities that help programmers create an application.

Software Reset - See Soft Reset.

Soup - A persistently stored object that contains a series of frames called
entries. Like a database, a soup has indexes you can use to access entries
in a sorted order. See also Union Soup.

Soup Icon - An icon that represents one or more soups, usually in the
Storage folder of the Extras Drawer.

Soupervisor Mechanism - The system service that presents the user with
information about a soup when the user taps its icon in the Extras Drawer.
It allows for filing or moving all soup entries.

Special Interest Group - A like-minded collection of individuals who
concentrate their knowledge, skills, and abilities on a special theme,
technology, or goal.

Squeak - The sound made by the Newton device after pressing and holding the
pen on the screen until a large dot appears. Used to indicate the start of
an action to selecting a block of text or a shape. See also Heavy Mark.

Squiggles - See Jaggies.

Squirt - See Squirting.

Squirting - A term used by early Newton developers to denote beaming of
information between Newton devices using the infrared communications port.
See also Infrared and Beaming.

SRAM - Static Random Access Memory. A memory chip that requires power to
hold its content. They do not require refresh circuitry as do dynamic RAM
chips, but take up more space and use more power. See also DRAM and Flash
RAM.

Stack Activation Record - A frame on the function-call stack that describes
a function that has not yet completed execution. A stack activation record
contains a pointer to the next instruction that is to be executed; the
function's receiver and implementor, if any; and the function's parameters,
temporary variables, and named variables. See also Function Call Stack.

StarCore - The Newton software publishing division of Apple.

Stationery - Refers to the capability of having different kinds of data
within a single application (such as plain notes and outlines in the
Notepad) and/or to the capability of having different ways of viewing the
same data (such as the Card and All Info views in the Names file).
Implementing stationery involves writing data definitions and view
definitions. See also Data Definition and View Definition.

Status Box - A black-framed container view that displays a static message
saying the Newton is busy completing a lengthy process.

Status Slip - A view that an application displays when it begins an
operation that takes more than a few seconds to complete. A status slip
contains a message describing the application's busy status. system proto
See also Proto Template.

Storage - See Store.

Storage Card - See Flash Card.

Store - A physical repository that can contain soups and packages. A store
is like a volume on a disk on a personal computer. See also External Store
and Internal Store.

Store Part - A part that encapsulates a read-only store. This store may
contain one or more soup objects. Store parts permit soup-like access to
read-only data residing in a package. Store parts are sometimes referred to
as package stores.

Stream File - A file encoded in Newton Streamed Object Format. You can use
Newton Toolkit to build stream files, and you can incorporate stream files
into NTK projects.

StrongARM - The low-power RISC processor used in Newton OS devices,
developed by ARM in conjunction with Digital Equipment Corporation. See
also ARM.

Styles - A built-in application used to change the attributes of the
currently selected font, including the family, style, and point size. See
also Font, Font Style, and Font Size.

Stylus - See Pen.

Sync - See Synchronize.

Synchronization - See Synchronize.

Synchronize - A process where the data stored in two different locations is
compared and updated so that both copies end up the same.

System Memory - A pseudo concept that is commonly confused with the terms
NewtonScript Heap, C++ Heap, and System RAM.

System Patch - See System Update.

System Patch Pages - Memory pages that replace the ROM (or ROM Extension)
pages of the Patchable Jumptable or the Magic Pointers Table.

System RAM - The amount of total installed DRAM in a Newton Device. The
amount of system RAM is displayed in the Memory Info Slip.

System Reset - A method of resetting a Newton device by removing the
batteries and an other external power source. The risk of data loss depends
on the particular Newton device, but can include the resetting of clock and
calendar information. See also Deep Reset, Soft Reset, Hard Reset, Power
Reset, and Cold Boot.

System Update - A software patch that is installed on a Newton device to
modify or change certain aspects of the ROM-based operating system. Also
referred to as a System Patch. See also Patch.

TAE - German telephone plug.

Tap - To touch briefly with the pen.

Tap-and-a-half - To tap and then at the same spot quickly half-tap; the pen
goes down, up, and down (but not up again).

Tapping - The repeated action of briefly touching the screen with the pen.

Target - The object being acted upon. Sometimes the target consists of
multiple items, for example, when multiple items are selected from an
overview for sending.

Tarpon - A rugged, wireless Newton clone developed by Digital Ocean. The
Tarpon was designed specifically for use in the field. See also Seahorse
and Clone.

TCP - Transmission Control Protocol. Part of the TCP/IP protocol which
provides transport functions ensuring that the total amount of bytes sent
is received correctly at the other end. See also TCP/IP and IP.

TCP/IP - A routable data transmission protocol used on the Internet that
has become the global standard for communications. See also TCP and IP.

Template - A read-only data structure that precisely specifies a view,
encapsulating all the view's attributes and behaviors.

Text Button - A control, bordered by a rounded rectangle, that the user
taps to designate, confirm, or cancel an action described by a text label
inside the border.

Text File - A file that contains text to be compiled during the build.

Text Run - A sequence of characters that are all displayed with the same
font specification. Text is represented in paragraph views as a series of
text runs with corresponding style (font spec) information. See also font
spec.

Thaw - To restore the activity of an application or extension package.
Thawing a package is similar to inserting a PC card that the package is
stored on and it being activated. See also Freeze.

Thawed Package - A package that is no longer suspended and is once again
able to be used. See also Frozen Package.

Thawing - See Thaw.

Thin Small Outline Package - A plastic, rectangular surface mount computer
chip.

Tibet - Software that facilitates the capture and sharing photographs using
a digital camera and a Newton device.

Tick - A sixtieth of a second.

TIL - Technical Info Library. A collection of documents created and
maintained by Apple relating to the support of their products. Each TIL
document can be referenced by a unique ID number on the Apple web site. The
Technical Info Library has been superceded by the AppleCare Knowledge
Archive.

TON - This Old Newt. A web site maintained by Rich Lindsay and home of the
Newtie awards.

Transport - A NewtonScript object that provides a communication service to
the Newton In/Out Box. It interfaces between the In/Out Box and an
endpoint. Examples include the print, fax, beam, and mail transports. See
also Endpoint.

TSOP - See Thin Small Outline Package.

Type Ahead - The process by which the Newton system stores keystrokes
(typed faster than the system can process) for later processing.

UI - See User Interface.

UMP - Upgraded MessagePad. Generally referring to a MessagePad 2000 device
that has had the system memory upgraded to the equivalent of a MessagePad
2100. Also referred to as UMP2K.

UMP2K - See UMP.

Union Soup - A soup that exists on multiple stores. See also Soup and
Store.

Universal Scroll Arrows - Scroll arrows which are found in the standard
button bar of any Newton device. See also Local Scroll Arrows, Scroll
Arrows, Scroll, and Button Bar.

Universal Serial Bus - A hardware interface for low speed peripherals such
as keyboards and other input devices. USB devices may be hot swapped.

UNNA - United Network of Newton Archives, web site maintained by Victor
Rehorst

USB - See Universal Serial Bus.

User Interface - The rules and conventions by which a device communicates
and interacts with the person operating it. Also referred to as simply UI.
See also Graphical User Interface.

User Proto - A proto defined by an application developer, not supplied by
the system.

User Storage - The amount of installed memory in a Newton device that can
be used for program and data storage. Roughly equivalent to hard drive
space on a desktop computer.

VBO - See Virtual Binary Object.

vCard - A standard data format for electronic business cards. Information
is typically contained in a file with a .vcf extension. The information in
a vCard that has been transferred to a Newton device can be converted into
a Names record using an application such as SimpleMail or NewtDump.

VCF - See vCard.

View - A visual object on the screen, including but not limited to a
container view. For example, text buttons, pickers, and input areas are
also views. Each view is internally represented by a template.

View Class - A primitive building block on which a view is based. All view
protos are based directly or indirectly (through another proto) on a view
class. The view class of a view is specified in the viewClass slot of its
template or proto.

View Definition - A view template that defines how to display data from a
particular data definition. A view definition is registered with the system
under the name of the data definition to which it applies. The shortened
term viewDef is sometimes used. See also Data Definition.

Virtual Address - A value representing a non-physical location for a piece
of data. The microprocessor (and hence the programs) do not access data at
the physical location in memory, but at the virtual location, which can be
translated into the physical location by the Memory Management Unit. See
also Physical Address.

Virtual Binary Object - A special kind of container object that is useful
for holding binary data larger than the available space in the NewtonScript
heap. Virtual binary objects are useful because they do not take up space
in the NewtonScript heap, but directly on the stores, and they may be
compressed. Also referred to as VBO.

Virtual Memory - A technique involving a Memory Management Unit to use more
memory pages than physically available. On a Newton device, the data
contained in the various stores is translated, uncompressed, and mapped to
memory pages when needed by the processor. When they are not needed, the
Newton OS can take the memory page and reallocate it somewhere else. A
Newton device is therefore able to handle very large stores with a small
amount of DRAM. Unlike traditional virtual memory mechanisms, the heaps
(especially the NewtonScript heap) are generally not included into the
virtual memory mechanism, although the Newton OS can apparently support it.

VLSI - Very Large Scale Integration. Semiconductor integrated circuits
composed of hundreds of thousands of logic elements or memory cells.

Voyager - Code name for the ASIC chip set used in the MessagePad 2x00 and
eMate 300 Newton devices. The Voyager chip was developed by Cirrus Logic,
and the designation Cirrus is also sometimes used as a code name. See also
N2.

Waba - A simplified implementation of the Java Virtual Machine created
specifically for small computing devices. Sean Luke is responsible for the
Newton compatible version of Waba.

Wake - To activate a Newton device from an inactive state using an external
signal. See also Sleep.

Wallyscript - The nickname given to NewtonScript in honor of its designer,
Walter R. Smith. See also NewtonScript.

Walt - The code name for an Apple/BellSouth collaboration on an
experimental telecommunication device that utilized Newton technologies.
The term Walt was an acronym for "Wizzy Active Lifestyle Telephone".

Watson - A specialized Newton clone developed by Schlumberger for the
French healthcare market. It was based on the MessagePad 2x00 platform and
incorporated a smartcard reader that allowed for secure electronic
transactions thus reducing the cost of processing healthcare claims.

WaveLan - A brand name used by Lucent, Orinoco, and Farallon on their
version of the 802.11 wireless communication card. See also AirPort and
802.11.

Wedge - A pie-shaped segment of an oval, bounded by a pair of radii joining
at the oval's center. See also Arc. Wedge is also a code name of the
original MessagePad device. See also Batman, Junior, and OMP.

Word List - A user editable record of words and names that the Newton
device uses in addition to its built-in list. Word lists are used to
recognize text entered by the user.

Word Wrap - The automatic continuation of text from the end of one line to
the beginning of the next without breaking in the middle of a word.

Workfile - The main data file created by the Newton Connection Kit software
containing all of the information used when synchronizing a Newton device
with a desktop computer.

Works - See Newton Works.

Worksite - See Emporium.

X - See Close Box.

Xjack - A collapsible RJ-11 style connector usually found on PC card
modems. See also RJ-11 and PCMCIA.

XTND - A system of file format translators developed by Claris Corporation
used in a variety of Mac OS software applications including Newton Press.

Zig Zag - See Scrubbing.
